Start Close Review Run
curl --request POST \
--url https://app.usequanta.com/admin_api/close_review/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workbook_period_qid": "<string>",
"leaf_keys": [
"<string>"
],
"instruction": "<string>",
"excluded_document_hashes": [],
"name": "<string>",
"reason": "<string>"
}
'import requests
url = "https://app.usequanta.com/admin_api/close_review/runs"
payload = {
"workbook_period_qid": "<string>",
"leaf_keys": ["<string>"],
"instruction": "<string>",
"excluded_document_hashes": [],
"name": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workbook_period_qid: '<string>',
leaf_keys: ['<string>'],
instruction: '<string>',
excluded_document_hashes: [],
name: '<string>',
reason: '<string>'
})
};
fetch('https://app.usequanta.com/admin_api/close_review/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/close_review/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workbook_period_qid' => '<string>',
'leaf_keys' => [
'<string>'
],
'instruction' => '<string>',
'excluded_document_hashes' => [
],
'name' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/close_review/runs"
payload := strings.NewReader("{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/admin_api/close_review/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/close_review/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"qid": "<string>",
"status": "PREPARING",
"period_key": "<string>",
"workbook_period_qid": "<string>",
"session_id": "<string>",
"operator_instruction": "<string>",
"manifest": {
"document_count": 0,
"excluded_document_count": 0,
"uploaded_document_count": 0,
"excluded_uploads": [],
"uploaded_documents": [],
"assembler": {
"version": 123,
"run_id": "<string>"
},
"leaf_versions": []
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stale": false,
"result": {},
"disposition": "<string>",
"decision_package": {
"schema_version": "2.0",
"generation_id": "<string>",
"summary": "<string>",
"outputs": [
{
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
}
]
},
"decision_package_error": "<string>",
"decision_package_archived": false,
"resolutions": [],
"leaf_key": "<string>",
"name": "<string>",
"selected_leaf_keys": [
"<string>"
],
"enabled_leaf_keys": [
"<string>"
],
"ran_all_enabled_checks": true,
"input_contexts": [
{
"decision_key": "<string>",
"label": "<string>",
"context": "",
"related_records": [
{
"qid": "<string>",
"kind": "<string>",
"label": "<string>"
}
]
}
],
"leaf_results": {},
"open_decision_counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}close_review_admin
Start Close Review Run
POST
/
admin_api
/
close_review
/
runs
Start Close Review Run
curl --request POST \
--url https://app.usequanta.com/admin_api/close_review/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workbook_period_qid": "<string>",
"leaf_keys": [
"<string>"
],
"instruction": "<string>",
"excluded_document_hashes": [],
"name": "<string>",
"reason": "<string>"
}
'import requests
url = "https://app.usequanta.com/admin_api/close_review/runs"
payload = {
"workbook_period_qid": "<string>",
"leaf_keys": ["<string>"],
"instruction": "<string>",
"excluded_document_hashes": [],
"name": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workbook_period_qid: '<string>',
leaf_keys: ['<string>'],
instruction: '<string>',
excluded_document_hashes: [],
name: '<string>',
reason: '<string>'
})
};
fetch('https://app.usequanta.com/admin_api/close_review/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/close_review/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workbook_period_qid' => '<string>',
'leaf_keys' => [
'<string>'
],
'instruction' => '<string>',
'excluded_document_hashes' => [
],
'name' => '<string>',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/close_review/runs"
payload := strings.NewReader("{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/admin_api/close_review/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/close_review/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workbook_period_qid\": \"<string>\",\n \"leaf_keys\": [\n \"<string>\"\n ],\n \"instruction\": \"<string>\",\n \"excluded_document_hashes\": [],\n \"name\": \"<string>\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"qid": "<string>",
"status": "PREPARING",
"period_key": "<string>",
"workbook_period_qid": "<string>",
"session_id": "<string>",
"operator_instruction": "<string>",
"manifest": {
"document_count": 0,
"excluded_document_count": 0,
"uploaded_document_count": 0,
"excluded_uploads": [],
"uploaded_documents": [],
"assembler": {
"version": 123,
"run_id": "<string>"
},
"leaf_versions": []
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stale": false,
"result": {},
"disposition": "<string>",
"decision_package": {
"schema_version": "2.0",
"generation_id": "<string>",
"summary": "<string>",
"outputs": [
{
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
}
]
},
"decision_package_error": "<string>",
"decision_package_archived": false,
"resolutions": [],
"leaf_key": "<string>",
"name": "<string>",
"selected_leaf_keys": [
"<string>"
],
"enabled_leaf_keys": [
"<string>"
],
"ran_all_enabled_checks": true,
"input_contexts": [
{
"decision_key": "<string>",
"label": "<string>",
"context": "",
"related_records": [
{
"qid": "<string>",
"kind": "<string>",
"label": "<string>"
}
]
}
],
"leaf_results": {},
"open_decision_counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Body
application/json
Response
Successful Response
Available options:
PREPARING, RUNNING, NEEDS_ATTENTION, COMPLETED, FAILED, INTERRUPTED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes